(function() {

    'use strict';

    app.controller('ChatCtrl', ChatCtrl);

    ChatCtrl.$inject = ['$scope', '$rootScope', '$state', '$ionicScrollDelegate', 'ChatFactory', 'Auth'];

    function ChatCtrl($scope, $rootScope, $state, $ionicScrollDelegate, ChatFactory, Auth) {

        var vm = this;
        vm.data = {};
        vm.state = $state;
        vm.root = $rootScope;
        vm.mensagens = ChatFactory;
        vm.mensagem = null;
        vm.logout = Auth.logout;
        
        vm.activate = function () {
            
        }

        vm.enviar = function() {
            if (vm.mensagem != null) {
                vm.mensagens.$add({
                    "text": vm.mensagem,
                    "usuario": vm.root.user
                });
            }
            vm.mensagem = "";
        }

        Auth.onAuth(function(authData) {
            if (authData == null) {
                $state.go('login');
            }
        });

        vm.activate();

    }

})();